LINESMOOTHENABLE(3CgFX)

NAME
LineSmoothEnable - 3D API line smooth enable

USAGE
LineSmoothEnable = bool(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Enable/disable antialiased line rendering. See the GL_LINE_SMOOTH description on the OpenGL glEnable manual page for details. See the D3DRS_ANTIALIASEDLINEENABLE render state description for DirectX 9.

The standard reset callback sets the LineSmoothEnable state to bool(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
PointSmoothEnable, PolygonSmoothEnable, LineStipple, LineStippleEnable, LineWidth